
VERSION = 116
TARGET  = MSDOS
#TARGET  = WIN32

DOFILES = pmode.obj dazmit.obj disasm.obj
AOFILES = pmode.obj dazmit.obj asm.obj

RELFILES = *.asm *.inc *.equ azmit.exe dazmit.exe MAKEFILE release\*.*

#--------------------------------------------------
.asm.obj:
        @tasm32 /m /ml /z /w2 /zn /jJumps /dAZMITDEBUG=0 /d$(TARGET) $&.asm

all     : dazmit azmit

dazmit  : $(DOFILES)
        @tlink /x /3 $(DOFILES), dazmit.exe
	@copy dazmit.exe c:\utils\dazmit.exe
	@echo *********************** DazmIt Completed Successfully!

azmit   : $(AOFILES)
        @tlink /x /3 $(AOFILES), azmit.exe
        @copy azmit.exe c:\utils\azmit.exe
        @echo *********************** AzmIt Completed Successfully!

ship    : dazmit azmit
        @upx -9 dazmit.exe
        @upx -9 azmit.exe
	@del dazmi$(VERSION).zip > nul
	@del *.obj
	@zip -9 -j dazmi$(VERSION).zip $(RELFILES)
        @echo *********************** Shippable [D]AzmIt Completed Successfully!

clean	:
	@del *.obj
	@del dazmit.exe
        @del azmit.exe

